package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class TypePegawai
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "TypePegawai_M")
//@JsonIgnoreProperties({ "hibernateLazyInitializer", "handler" })
public class TypePegawai extends BaseMaster {
	@NotNull(message = "Kd Type Pegawai tidak boleh kosong")
	@Column(name = "KdTypePegawai", nullable = false)
	@Caption(value = "Kode Type Pegawai")
	private Byte kdTypePegawai;

	public void setKdTypePegawai(Byte kdTypePegawai) {
		this.kdTypePegawai = kdTypePegawai;
	}

	public Byte getKdTypePegawai() {
		return this.kdTypePegawai;
	}

	@NotNull(message = "QType Pegawai tidak boleh kosong")
	@Column(name = "QTypePegawai", nullable = false)
	@Caption(value = "QType Pegawai")
	private Byte qTypePegawai;

	public void setqTypePegawai(Byte qTypePegawai) {
		this.qTypePegawai = qTypePegawai;
	}

	public Byte getqTypePegawai() {
		return this.qTypePegawai;
	}

	@NotNull(message = "Type Pegawai tidak boleh kosong")
	@Column(name = "TypePegawai", nullable = false, length = 30)
	@Caption(value = "Type Pegawai")
	private String typePegawai;

	public void setypePegawai(String typePegawai) {
		this.typePegawai = typePegawai;
	}

	public String getTypePegawai() {
		return this.typePegawai;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.typepegawai_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.typepegawai_m_id_seq", sequenceName = "public.typepegawai_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public void setTypePegawai(String typePegawai) {
		this.typePegawai = typePegawai;
	}
}